Download it now!
Bug 69685 - UI: Category location of functions COUNTBLANK, COUNTIF and COUNTIFS
Summary: UI: Category location of functions COUNTBLANK, COUNTIF and COUNTIFS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Joel Madero
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-22 21:37 UTC by John Smith
Modified: 2013-10-23 23:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-09-22 21:37:37 UTC
Problem description: The category in which these functions are located is not consistent with other COUNT functions.

Steps to reproduce:
1. Open an instance of Calc and open the Function Wizard.
2. Select the Mathematical category.

Current behavior: The 3 named functions are located in this category.

Expected behavior: That they would be located with the functions COUNT  and COUNTA in the Statistical category and be consistent with Excel.

It is noted that all these functions appear in the Information section here;
http://docs.oasis-open.org/office/v1.2/cs01/OpenDocument-v1.2-cs01-part2.html#COUNT

              
Operating System: Windows XP
Version: 4.1.1.2 release
Comment 1 tommy27 2013-09-23 21:29:55 UTC
confirmed in 4.1.1 under Win7 64bit.
Comment 2 Eike Rathke 2013-09-23 22:04:38 UTC
Joel, while at bug 69536 please check this one as well.
Comment 3 Joel Madero 2013-09-23 23:00:02 UTC
Patch submitted - it's a separate patch than first one but both are on git ready to be confirmed
Comment 4 Commit Notification 2013-09-24 00:07:26 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d269c92a74516081f277d427ab44dbe4ece00598

fdo#69685 - move count functions



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.